{
  TCanvas* c1=new TCanvas("c1","c1",600,600);
  gStyle->SetOptStat(); 
  c1->Divide(1,3);
  TFile fout("fout.root");
  c1->cd(1);
  TH1F* hc=(TH1F*) ((TDirectory*)fout.Get("DirCcut9set120nb32_f0"))->Get("Asm");hc->Draw();
  hc->Fit("pol1","","",-1,1);
  c1->cd(2);
  TH1F* hm=(TH1F*) ((TDirectory*)fout.Get("DirMcut10set120nb32"))->Get("M12");hm->Draw();
  c1->GetPad(2)->SetLogy();
  hm->Draw();
  c1->cd(3);
  TH1F* hmc=(TH1F*) ((TDirectory*)fout.Get("DirMcut10set120nb32"))->Get("CrossRat");hmc->Draw();
  hmc->GetYaxis()->SetRangeUser(-.05,.05);
  hmc->Fit("pol0","","",.7,2.5);
  TCanvas* c2=new TCanvas("c2","c2",600,600);
  c2->Divide(1,2);
  c2->cd(1);
  gStyle->SetOptStat(); 
  TH1F* ha=(TH1F*) ((TDirectory*)fout.Get("Dirdcut7set120nb32"))->Get("dthx");ha->Draw();
  TH1F* ha1=(TH1F*) ((TDirectory*)fout.Get("Dirdcut7set120nb32"))->Get("dthxN");ha1->Draw("same");
  TH1F* ha2=(TH1F*) ((TDirectory*)fout.Get("Dirdcut7set120nb32"))->Get("dthxS");ha2->Draw("same");
  ha1->SetLineColor(2);
  ha2->SetLineColor(3);
  c2->cd(2);
  TH1F* hb=(TH1F*) ((TDirectory*)fout.Get("Dirdcut7set120nb32"))->Get("Asm");hb->Draw();
  hb->GetYaxis()->SetRangeUser(-.07,.07);
    hb->Draw();
  TH1F* hby=(TH1F*) ((TDirectory*)fout.Get("Dirdycut7set120nb32"))->Get("Asm");hby->Draw("same");
  hby->Fit("pol1","","",-.006,.006);
  hb->Fit("pol1","","",-.006,.006);
  hby->Draw();
  hb->Draw("same");
  hb->SetLineColor(4);
  hby->SetLineColor(5);

  TCanvas* c3=new TCanvas("c3","c3",600,600);
  c3->Divide(1,2);
  c3->cd(1);
  gStyle->SetOptStat(); 
  TH1F* yha=(TH1F*) ((TDirectory*)fout.Get("Dirdthycut7set120nb32"))->Get("dthy");yha->Draw();
  TH1F* yha1=(TH1F*) ((TDirectory*)fout.Get("Dirdthycut7set120nb32"))->Get("dthyN");yha1->Draw("same");
  TH1F* yha2=(TH1F*) ((TDirectory*)fout.Get("Dirdthycut7set120nb32"))->Get("dthyS");yha2->Draw("same");
  yha1->SetLineColor(2);
  yha2->SetLineColor(3);
  c3->cd(2);
  TH1F* yhb=(TH1F*) ((TDirectory*)fout.Get("Dirdthycut7set120nb32"))->Get("Asm");yhb->Draw();
  yhb->GetYaxis()->SetRangeUser(-.07,.07);
    hb->Draw();
  yhb->Fit("pol1","","",-.006,.006);
  yhb->Draw();
  yhb->SetLineColor(4);
  
}
